Opened 5 months ago

Closed 4 months ago

Last modified 4 months ago

#2680 closed Bug (fixed)

config C1D_PAPA broken in future 4.2

Reported by: gsamson Owned by: gsamson
Priority: normal Milestone:
Component: C1D Version:
Severity: minor Keywords:
Cc: greffray, rbourdal Branch review:
MP ready?: Task progress:

Description

Context

try C1D_PAPA config with post-merge trunk

Analysis

multiple problems

Recommendation

fix them all

Commit History (12)

ChangesetAuthorTimeChangeLog
15023gsamson2021-06-18T16:35:25+02:00

merge ticket2680_C1D_PAPA branch back into the trunk; see ticket #2680 for details

15022gsamson2021-06-18T16:26:14+02:00

last trunk phasing before branch merge (#2680)

15020gsamson2021-06-18T15:21:42+02:00

merge trunk into branch (#2680)

15015gsamson2021-06-17T19:17:25+02:00

merge trunk into branch (#2680)

15011gsamson2021-06-17T15:03:52+02:00

update namelists & cpp files accordingly to r15010 (#2680)

15010gsamson2021-06-17T14:14:52+02:00

remove cpp key 'key_c1d' and replace 'lk_c1d' by 'ln_c1d' in &namdom (#2680)

15008gsamson2021-06-17T12:11:24+02:00

add dyn_dmp to mlf step; update dta_uvd interface; adapt istate accordingly & cleaning (#2680)

15006gsamson2021-06-17T11:13:03+02:00

continue C1D_PAPA cleaning (#2680): remove specific c1D step and dyn_cor routines

14984smasson2021-06-14T10:07:36+02:00

ticket2680_C1D_PAPA: fix to work with key_mpi_off, #2680

14954gsamson2021-06-04T18:00:42+02:00

remove C1D specific treatment in fld_read (not needed anymore with new halos); ticket #2680

14915gsamson2021-05-27T17:21:14+02:00

minimum set of bugfixes and changes to get C1D_PAPA compiling and running with MPI; ticket #2680

14914gsamson2021-05-27T14:57:08+02:00

create branch for ticket #2680 from trunk@r14886

Change History (14)

comment:1 Changed 5 months ago by gsamson

In 14914:

create branch for ticket #2680 from trunk@r14886

comment:2 Changed 5 months ago by gsamson

In 14915:

minimum set of bugfixes and changes to get C1D_PAPA compiling and running with MPI; ticket #2680

comment:3 Changed 5 months ago by gsamson

In 14954:

remove C1D specific treatment in fld_read (not needed anymore with new halos); ticket #2680

comment:4 Changed 4 months ago by smasson

In 14984:

ticket2680_C1D_PAPA: fix to work with key_mpi_off, #2680

comment:5 Changed 4 months ago by gsamson

In 15006:

continue C1D_PAPA cleaning (#2680): remove specific c1D step and dyn_cor routines

comment:6 Changed 4 months ago by gsamson

In 15008:

add dyn_dmp to mlf step; update dta_uvd interface; adapt istate accordingly & cleaning (#2680)

comment:7 Changed 4 months ago by gsamson

In 15010:

remove cpp key 'key_c1d' and replace 'lk_c1d' by 'ln_c1d' in &namdom (#2680)

comment:8 Changed 4 months ago by gsamson

In 15011:

update namelists & cpp files accordingly to r15010 (#2680)

comment:9 Changed 4 months ago by gsamson

In 15015:

merge trunk into branch (#2680)

comment:10 Changed 4 months ago by gsamson

In 15020:

merge trunk into branch (#2680)

comment:11 Changed 4 months ago by gsamson

In 15022:

last trunk phasing before branch merge (#2680)

comment:12 Changed 4 months ago by gsamson

In 15023:

merge ticket2680_C1D_PAPA branch back into the trunk; see ticket #2680 for details

comment:13 Changed 4 months ago by gsamson

  • Resolution set to fixed
  • Status changed from new to closed
  • Version trunk deleted

comment:14 Changed 4 months ago by gsamson

In 15024:

delete ticket2680_C1D_PAPA branch

Note: See TracTickets for help on using tickets.